From cfe33462105e5222c4eb84badec4b76d6a1c0e49 Mon Sep 17 00:00:00 2001
Message-Id: <cfe33462105e5222c4eb84badec4b76d6a1c0e49.1734736666.git.spencer.king@geneoscopy.com>
From: Spencer King <spencer.king@geneoscopy.com>
Date: Fri, 20 Dec 2024 23:17:24 +0000
Subject: [PATCH] gnu: Add julia-referenceables.

* gnu/packages/julia-xyz.scm (julia-referenceables): New variable.

Change-Id: I59e95742140beb91d93d32ab35b655cb2028cd71
---
 gnu/packages/julia-xyz.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/julia-xyz.scm b/gnu/packages/julia-xyz.scm
index be2501a934..4fb824dadd 100644
--- a/gnu/packages/julia-xyz.scm
+++ b/gnu/packages/julia-xyz.scm
@@ -5500,6 +5500,27 @@ (define-public julia-remotefiles
 @code{HTTP.jl} backends.")
     (license license:expat)))
 
+(define-public julia-referenceables
+  (package
+    (name "julia-referenceables")
+    (version "0.1.3")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/JuliaFolds2/Referenceables.jl")
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "1qjssgqrpyc726zm31r4fpllsyvgc21lw9kqz96whgg779y0yr80"))))
+    (build-system julia-build-system)
+    (propagated-inputs (list julia-adapt))
+    (home-page "https://github.com/JuliaFolds2/Referenceables.jl")
+    (synopsis "Provides an interface for referencing elements")
+    (description "This package provides an interface for readable and writable
+references to an element of an array or dictionary in Julia.")
+    (license license:expat)))
+
 (define-public julia-referencetests
   (package
     (name "julia-referencetests")

base-commit: fdcb67250af3df91b3ef090915ba32fe22cce86e
-- 
2.34.1

